org: "drycc"
pull_policy: "Always"
docker_tag: "canary"
docker_registry: ""
app_pull_policy: "Always"
# A comma-separated list of URLs to send app release information to
# See https://drycc.com/docs/workflow/managing-workflow/deploy-hooks
deploy_hook_urls: ""
# limits_cpu: "100m"
# limits_memory: "50Mi"
# Possible values are:
# enabled - allows for open registration
# disabled - turns off open registration
# admin_only - allows for registration by an admin only.
registration_mode: "admin_only"
# Option to disable ssl verification to connect to k8s api server
k8s_api_verify_tls: "true"
# The public resolvable hostname to build your cluster with.
#
# This will be the hostname that is used to build endpoints such as "drycc.$HOSTNAME"
platform_domain: ""
# Whether cert_manager is enabled to automatically generate controller certificates
cert_manager_enabled: "true"

global:
  # Admin email, used for each component to send email to administrator
  email: "drycc@drycc.cc"
  # Set the storage backend
  #
  # Valid values are:
  # - s3: Store persistent data in AWS S3 (configure in S3 section)
  # - azure: Store persistent data in Azure's object storage
  # - gcs: Store persistent data in Google Cloud Storage
  # - minio: Store persistent data on in-cluster Minio server
  storage: minio
  # Set the location of Workflow's PostgreSQL database
  #
  # Valid values are:
  # - on-cluster: Run PostgreSQL within the Kubernetes cluster (credentials are generated
  #   automatically; backups are sent to object storage
  #   configured above)
  # - off-cluster: Run PostgreSQL outside the Kubernetes cluster (configure in database section)
  database_location: "on-cluster"

  # Set the location of Workflow's Registry
  #
  # Valid values are:
  # - on-cluster: Run registry within the Kubernetes cluster
  # - off-cluster: Use registry outside the Kubernetes cluster (example: dockerhub,quay.io,self-hosted)
  # - ecr: Use Amazon's ECR
  # - gcr: Use Google's GCR
  registry_location: "on-cluster"
  # The host port to which registry proxy binds to
  registry_service_port: 5555
  # Prefix for the imagepull secret created when using private registry
  secret_prefix: "private-registry"
  # Role-Based Access Control for Kubernetes >= 1.5
  use_rbac: false
  # Please check `kubernetes.io/ingress.class`
  ingress_class: ""
